#### D.14.1.42 arrChambers

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrChambers(A); arr A

Return:
  [int] The number of chambers of an arrangement, which is equal to the evaluation of the Poincare polynomial at 1.

Example:

    LIB "arr.lib";
    ring R = 0,(x,y),dp;
    arr A = ideal(x,y,x+y-1);
    arrChambers(A);
    ==> 7

See also: arrBoundedChambers; arrChambers; arrPoincare.

User manual for Singular version 4.4.1, 2025, generated by texi2html.